Package: groovy.inspect.swingui

## [Groovy] Enum CompilePhaseAdapter

- groovy.inspect.swingui.CompilePhaseAdapter

- An adapter for the CompilePhase enum that can be entered into a Swing combobox.

  Authors:
    Hamlet D'Arcy

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CANONICALIZATION` |
    `CLASS_GENERATION` |
    `CONVERSION` |
    `FINALIZATION` |
    `INITIALIZATION` |
    `INSTRUCTION_SELECTION` |
    `OUTPUT` |
    `PARSING` |
    `SEMANTIC_ANALYSIS` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `phaseId`
    `String` | `string`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompilePhaseAdapter (def phaseId, def string)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CompilePhaseAdapter CANONICALIZATION

    - #### CompilePhaseAdapter CLASS_GENERATION

    - #### CompilePhaseAdapter CONVERSION

    - #### CompilePhaseAdapter FINALIZATION

    - #### CompilePhaseAdapter INITIALIZATION

    - #### CompilePhaseAdapter INSTRUCTION_SELECTION

    - #### CompilePhaseAdapter OUTPUT

    - #### CompilePhaseAdapter PARSING

    - #### CompilePhaseAdapter SEMANTIC_ANALYSIS

  - ### Property Detail

    - #### final int phaseId

    - #### final String string

  - ### Constructor Detail

    - #### CompilePhaseAdapter(def phaseId, def string)

  - ### Method Detail

    - #### String toString()